#
# spec file for package kie-api
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kie-api
Version:        7.17.0
Release:        7.47.uyuni3
Summary:        The common API for KIE (Drools, jBPM and OptaPlanner)
License:        Apache-2.0
URL:            https://www.drools.org/
Group:          Development/Libraries/Java
Source0:        https://github.com/kiegroup/droolsjbpm-knowledge/archive/7.17.0.Final.tar.gz
Source1:        build.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel >= 11
BuildRequires:  xz
BuildArch:      noarch
Provides:       mvn(org.kie:kie-api) == 7.17.0
Provides:       mvn(org.kie:kie-internal) == 7.17.0
Requires:       java >= 11

%description
The common API for KIE (Drools, jBPM and OptaPlanner). Provides the API and internal jars.

%prep
%setup -q -c -n src
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a droolsjbpm-knowledge-7.17.0.Final/kie-api/target/kie-api-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-api-7.17.0.Final.jar
ln -sf kie-api-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-api.jar
cp -a droolsjbpm-knowledge-7.17.0.Final/kie-internal/target/kie-internal-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-internal-7.17.0.Final.jar
ln -sf kie-internal-7.17.0.Final.jar %{buildroot}%{_javadir}/kie-internal.jar

%files
%defattr(-,root,root)
%license droolsjbpm-knowledge-7.17.0.Final/LICENSE-ASL-2.0.txt
%{_javadir}/*

%changelog
* Wed Jun  8 2022 Julio González Gil <jgonzalez@suse.com>
- Declare the LICENSE file as license and not doc
* Sat Nov 28 2020 Michael Calmer <mc@suse.com>
- build always with java 11 or higher
* Tue Sep  8 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Do not exclude aarch64
* Thu Mar  7 2019 Frantisek Kobzik <fkobzik@suse.com>
- Update KIE to 7.17.0
- Added:
  * 7.17.0.Final.tar.gz
- Removed:
  * droolsjbpm-knowledge-6.3.0.Final.tar.gz
  * droolsjbpm-knowledge-6.3.0.Final-jdk9.patch
- Release notes: https://issues.jboss.org/secure/ReleaseNote.jspa
* Wed Nov  8 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * droolsjbpm-knowledge-6.3.0.Final-jdk9.patch
* Mon Nov  9 2015 moio@suse.com
- Initial version
